com.salesforce.datacloud.jdbc.interceptor

## Class AuthorizationHeaderInterceptor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor

All Implemented Interfaces:
  HeaderMutatingClientInterceptor, io.grpc.ClientInterceptor

    public class AuthorizationHeaderInterceptor
    extends Object
    implements HeaderMutatingClientInterceptor

### Nested Class Summary

Nested Classes
`static interface` `AuthorizationHeaderInterceptor.TokenSupplier`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `mutate(io.grpc.Metadata headers)`
`static AuthorizationHeaderInterceptor` `of(AuthorizationHeaderInterceptor.TokenSupplier supplier)`
`static AuthorizationHeaderInterceptor` `of(TokenProcessor tokenProcessor)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.salesforce.datacloud.jdbc.interceptor.HeaderMutatingClientInterceptor

`interceptCall`

### Method Detail

#### of

    public static AuthorizationHeaderInterceptor of(TokenProcessor tokenProcessor)

#### of

    public static AuthorizationHeaderInterceptor of(AuthorizationHeaderInterceptor.TokenSupplier supplier)

#### mutate

    public void mutate(io.grpc.Metadata headers)

Specified by:
  `mutate` in interface `HeaderMutatingClientInterceptor`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`